core.register_decoration({ 
    deco_type = "schematic",
    place_on = {"default:dirt_with_grass","default:dirt_with_coniferous_litter"},
    sidelen = 16,
    fill_ratio = 0.00008,
     y_max =15,
     y_min = 1,
     schematic = core.get_modpath("btmt").."/schematics/ruins/stones_ruins_small.mts",
     flags = "place_center_x,place_center_z,force_placement,all_floors",
     rotation = "random",
 })
 
core.register_decoration({ 
    deco_type = "schematic",
    place_on = {"default:desert_sand"},
    sidelen = 16,
    fill_ratio = 0.00008,
    y_max =20,
    y_min = 1,
    schematic = core.get_modpath("btmt").."/schematics/ruins/desert_ruins_small.mts",
    flags = "place_center_x,place_center_z,force_placement,all_floors",
    rotation = "random",
})

core.register_decoration({
    deco_type = "schematic",
    place_on = {"default:dirt_with_snow"},
    sidelen = 16,
    fill_ratio = 0.00008,
    y_max =15,
    y_min = 1,
    schematic = core.get_modpath("btmt").."/schematics/ruins/ruins_taiga.mts",
    flags = "place_center_x,place_center_z,force_placement,all_floors",
    rotation = "random",
})

